Set Input Output Topics
curl --request PUT \
--url https://api.streamkap.com/transforms/{transforms_id}/set-input-output-topics/{topic_pattern}/{java_replacement_pattern} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/transforms/{transforms_id}/set-input-output-topics/{topic_pattern}/{java_replacement_pattern}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/transforms/{transforms_id}/set-input-output-topics/{topic_pattern}/{java_replacement_pattern}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"sub_id": "<string>",
"tenant_id": "<string>",
"service_id": "<string>",
"start_time": "<string>",
"job_name": "<string>",
"topic_ids": [
"<string>"
],
"config": {
"transforms.name": "<string>",
"transforms.input.topic.pattern": "<string>",
"transforms.output.topic.pattern": "<string>",
"transforms.language": "<string>",
"transforms.input.job.parallelism": 5,
"transforms.topic.ttl": "<string>",
"kc.cluster.id": "<string>"
},
"implementation": {
"value_transform": "<string>",
"key_transform": "<string>",
"topic_transform": "<string>",
"common_transform": "<string>",
"value_schema_transform": "<string>",
"key_schema_transform": "<string>",
"unit_test": {
"test_name": "<string>",
"input__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"output__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"result__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"is_success": true,
"html_diff": "<string>",
"text_diff": "<string>"
}
},
"metrics": {
"tasks": 123,
"latency": 123,
"status": "<string>",
"duration": 123,
"start_time": 123,
"end_time": "<string>",
"checkpoints": {
"job_id": "<string>",
"counts": {},
"summary": {},
"latest": {
"id": 123,
"status": "<string>",
"is_savepoint": true,
"trigger_timestamp": 123,
"latest_ack_timestamp": 123,
"state_size": 123,
"end_to_end_duration": 123,
"alignment_buffered": 123,
"num_subtasks": 123,
"num_acknowledged_subtasks": 123
},
"history": [],
"operator_breakdown": []
}
},
"live_version": "<string>",
"preview_version": "<string>",
"version": 1,
"updated_timestamp": "2023-11-07T05:31:56Z",
"implementation_updated_timestamp": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"history_created_timestamp": "2023-11-07T05:31:56Z",
"history_updated_timestamp": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Transforms
Set Input Output Topics
PUT
/
transforms
/
{transforms_id}
/
set-input-output-topics
/
{topic_pattern}
/
{java_replacement_pattern}
Set Input Output Topics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Basic transform details.
Available options:
fan_out, sql_join, enrich, enrich_async, map_filter, toast_handling, un_nesting, rollup, topic_router - TransformConfig
- TransformsEnrichAsyncConfig
Show child attributes
Show child attributes
- TransformsMapFilterImplementation
- TransformsEnrichImplementation
- TransformsEnrichAsyncImplementation
- TransformsJoinImplementation
- TransformsRollupImplementation
- TransformsTopicRouterImplementation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of tag IDs assigned to this transform
Was this page helpful?
⌘I